| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csFontCache::GlyphCacheData Struct Reference

Some basic data associated with a glyph. More...

`#include <csplugincommon/canvas/fontcache.h>`

Inheritance diagram for csFontCache::GlyphCacheData:

[legend]
List of all members.

## Public Attributes
uint | flags
| Glyph flags.
KnownFont * | font
| Font.
utf32_char | glyph
| Glyph.
csGlyphMetrics | glyphMetrics
| Glyph metrics.
bool | hasGlyph
| Does this font have this glyph?

## Detailed Description

Some basic data associated with a glyph.

Definition at line 60 of file fontcache.h.

## Member Data Documentation

uint csFontCache::GlyphCacheData::flags

Glyph flags.

Definition at line 71 of file fontcache.h.

KnownFont* csFontCache::GlyphCacheData::font

Font.

Definition at line 63 of file fontcache.h.

utf32_char csFontCache::GlyphCacheData::glyph

Glyph.

Definition at line 65 of file fontcache.h.

csGlyphMetrics csFontCache::GlyphCacheData::glyphMetrics

Glyph metrics.

Definition at line 67 of file fontcache.h.

Referenced by csG2DDrawText< Tpixel, Tpixmixer1, Tpixmixer2, Tpixmixer3 >::DrawText().

bool csFontCache::GlyphCacheData::hasGlyph

Does this font have this glyph?

Definition at line 69 of file fontcache.h.

Referenced by csG2DDrawText< Tpixel, Tpixmixer1, Tpixmixer2, Tpixmixer3 >::DrawText().

The documentation for this struct was generated from the following file:

- csplugincommon/canvas/fontcache.h